Get development keys
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/devkeys \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/devkeys"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/devkeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>",
"apiKey": "<string>",
"hmacKey": "<string>"
}Get development keys
Retrieve the development API and HMAC keys for a project.
These keys are specifically marked to be used during development.
These keys can be undefined if no development keys are set.
Only available through JWT token authentication, if you authenticate with an API
key then all keys will return undefined (this is changed behavior since 28 January 2026).
GET
/
api
/
{projectId}
/
devkeys
Get development keys
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Was this page helpful?